header {
  transition: 0.2s linear;
  padding: 10px;
  display: flex;
  width: 420px;
  margin: auto;
  height: fit-content;
  background-color: #544179;
  justify-content: space-between;
  align-items: center;
  color: #f5f5f5;
  .logo {
    font-family: "Rubik", sans-serif;
    display: flex;
    flex-direction: column;
    width: 200px;
    height: fit-content;
    // border: 1px solid;
    h2 {
      padding: 0 5px 0 5px;
      // font-size: 16px;
      width: fit-content;
      border-right: 3px solid;
      border-left: 3px solid;
      color: #ffe699;
    }

    span {
      text-shadow: 0 0 3px rgba(249, 232, 154, 0.6);
    }
  }

  .mode {
    #dark {
      width: 23px;
      height: 23px;
      background: rgba(15, 15, 15, 0.8);
      border: none;
      border-radius: 50%;
      transition: 0.4s linear;
      box-shadow: 0 0 4px #ffe699;
      cursor: pointer;
      i {
        color: #f5f5f5;
      }
    }

    #light {
      cursor: pointer;
      border-radius: 50%;
      background: #ffe699;
      border: none;
      width: 23px;
      height: 23px;
      position: relative;
      top: 10px;
      transition: 0.4s linear;
      box-shadow: 0 0 4px #ffe699;
      i {
        position: relative;
        top: 1px;
      }
    }
  }

  @media (min-width: 768px) {
    padding: 15px 20px 15px 20px;
    width: 767px;
    .logo {
      transform: scale(1.1);
      position: relative;
      left: 15px;
    }
  }

  @media (min-width: 1023px) {
    padding: 15px 30px 15px 30px;
    width: 1023px;
    .logo {
      transform: scale(1.1);
      position: relative;
      left: 15px;
    }
  }

  @media (min-width: 1439px) {
    padding: 15px 30px 15px 30px;
    width: 100%;
    .logo {
      transform: scale(1.1);
      position: relative;
      left: 15px;
    }
  }
}
